/*
 * Created on Jan 30, 2006
 *
 */
package se.umu.jobsubmission.client;

import org.ggf.schemas.jsdl._2005._06.jsdl.JobDefinition_Type;

/**
 * @author tordsson
 *
 * Used for the various implementations of client file staging, 
 * or rather, to find out where the client should stage the input files
 * given the jobid and the job description. 
 * 
 */

// TODO: Rename class to clientJobControl?

public interface ClientJobStaging {

	// public URL? 
	public String getJobDirectory(String jobID, JobDefinition_Type jobDesc) 
		throws Exception; 

	// Used if staging fails...
	public void cancelJob(String jobID) throws Exception; 
		

}
